using Bimix.Infrastructure.Sync;
using Microsoft.AspNetCore.Mvc;

namespace Bimix.API.Controllers;

[ApiController]
[Route("api/[controller]")]
public class SyncController(ProductSyncService productSyncService) : ControllerBase
{
    [HttpPost("run-product-sync")]
    public async Task<IActionResult> RunProductSync()
    {
        await productSyncService.RunAsync();
        return Ok();
    }
}